Skip to main content

Sending Messages to WhatsApp

Last updated: 23 July 2026

To send message to the WhatsApp channel, use the method api/v2/out-messages/whatsapp.

info

The api/v2/out-messages/whatsapp method is related to the new version of the API and is recommended for use to support BSUID.

The previous version of the API method, api/v1/out-messages/whatsapp, remains available for use.

Calling the method

To send a message to the WhatsApp channel using the api/v2/out-messages/whatsapp method, send a POST request to the URL https://app.edna.io/api/v2/out-messages/whatsapp.

Request format

{
"from": "string",
"to": {
"value": "string",
"type": "string"
},
"content": {
"type": "string",
"text": "string"
}
}

Request example

Text message

{
"from": "test_WA",
"to": {
"value": "DE.1234567890123456789",
"type": "WHATSAPP_BSUID"
},
"content": {
"type": "TEXT",
"text": "Hi! We hope you have a great day!"
}
}

Request parameters

ParameterData typeCharacterDescription
fromstringRequiredChannel title.
To find out the name of the channel, use the API method to get a list of channels — the subject parameter. File IconReceiving List of Channels
toobjectRequiredAn object containing information about the recipient's identifier.
to.valuestringRequiredRecipient ID.
To find out the recipient's ID, use the API method to request recipient data — the addresses.address parameter. File IconRequesting Client Data
to.typestringRequiredRecipient ID type.
Possible values:
- PHONE — a telephone number;
- WHATSAPP_BSUID — Business-Scoped User ID (BSUID);
- WHATSAPP_PARENT_BSUID — Parent Business-Scoped User ID (Parent BSUID).
contentobjectRequiredAn object containing information about the message content.
content.typestringRequiredMessage content type.
Possible values:
- TEXT — text message;
- IMAGE — image;
- DOCUMENT — document attached to the message.
content.textstringRequiredMessage text.

Response format

{
"outMessageId": "string"
}

Response example

{
"outMessageId": "01987f4a-070e-730e-bf59-cedc1e63350"
}

Response parameters

ParameterData typeDescription
outMessageIdstringThe internal ID of the message.